2023-12-11 21:15:07 UTC
121 MB
/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
SWIFT_BRANCHswift-5.9.2-release
SWIFT_PLATFORMubi9
SWIFT_SIGNING_KEYA62AE125BBBFBB96A6E042EC925CC1CCED3D1561
SWIFT_VERSIONswift-5.9.2-RELEASE
SWIFT_WEBROOThttps://download.swift.org
containeroci
[#000] sha256:d77aa8574845b508d5fa16c7d0d6fbfc3bd0bb3c4d68b0cf4ea6bf3f20a1b3c5 - 62.98% (75.9 MB)
[#001] sha256:9c04207fd6959f567264032e6f6964726f7a0966836d14d66bd1371b0fbbd79b - 37.02% (44.6 MB)
/bin/sh -c #(nop) LABEL maintainer="Red Hat, Inc." vendor="Red Hat, Inc."
2023-12-11 21:15:07 UTC/bin/sh -c #(nop) LABEL url="https://catalog.redhat.com/en/search?searchType=containers"
2023-12-11 21:15:07 UTC/bin/sh -c #(nop) LABEL com.redhat.component="ubi9-container" name="ubi9" version="9.6" distribution-scope="public"
2023-12-11 21:15:07 UTC/bin/sh -c #(nop) LABEL com.redhat.license_terms="https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI"
2023-12-11 21:15:07 UTC/bin/sh -c #(nop) LABEL summary="Provides the latest release of Red Hat Universal Base Image 9."
2023-12-11 21:15:07 UTC/bin/sh -c #(nop) LABEL description="The Universal Base Image is designed and engineered to be the base layer for all of your containerized applications, middleware and utilities. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."
2023-12-11 21:15:07 UTC/bin/sh -c #(nop) LABEL io.k8s.description="The Universal Base Image is designed and engineered to be the base layer for all of your containerized applications, middleware and utilities. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."
2023-12-11 21:15:07 UTC/bin/sh -c #(nop) LABEL io.k8s.display-name="Red Hat Universal Base Image 9"
2023-12-11 21:15:07 UTC/bin/sh -c #(nop) LABEL io.openshift.expose-services=""
2023-12-11 21:15:07 UTC/bin/sh -c #(nop) LABEL io.openshift.tags="base rhel9"
2023-12-11 21:15:07 UTC/bin/sh -c #(nop) ENV container oci
2023-12-11 21:15:07 UTC/bin/sh -c #(nop) COPY dir:0222bc7b4b212f92e0fd9b1e2fb869faddda099368d73a11ebdca50e91a01fb3 in /
2023-12-11 21:15:07 UTC/bin/sh -c #(nop) COPY file:b37d593713ee21ad52a4cd1424dc019a24f7966f85df0ac4b86d234302695328 in /etc/yum.repos.d/.
2023-12-11 21:15:07 UTC/bin/sh -c #(nop) CMD ["/bin/bash"]
2023-12-11 21:15:07 UTC/bin/sh -c #(nop) COPY file:58cc94f5b3b2d60de2c77a6ed4b1797dcede502ccdb429a72e7a72d994235b3c in /usr/share/buildinfo/content-sets.json
2023-12-11 21:15:07 UTC/bin/sh -c #(nop) COPY file:58cc94f5b3b2d60de2c77a6ed4b1797dcede502ccdb429a72e7a72d994235b3c in /root/buildinfo/content_manifests/content-sets.json
2023-12-11 21:15:07 UTC/bin/sh -c #(nop) LABEL "build-date"="2025-08-20T08:31:23" "architecture"="x86_64" "vcs-type"="git" "vcs-ref"="171f11b52e43aee013fe4ef4c4caed923f25c5c1" "release"="1755678605"
2023-12-11 21:15:07 UTC (buildkit.dockerfile.v0)LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>
2023-12-11 21:15:07 UTC (buildkit.dockerfile.v0)LABEL description=Docker Container for the Swift programming language
2023-12-11 21:15:07 UTC (buildkit.dockerfile.v0)ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561
2023-12-11 21:15:07 UTC (buildkit.dockerfile.v0)ARG SWIFT_PLATFORM=ubi9
2023-12-11 21:15:07 UTC (buildkit.dockerfile.v0)ARG SWIFT_BRANCH=swift-5.9.2-release
2023-12-11 21:15:07 UTC (buildkit.dockerfile.v0)ARG SWIFT_VERSION=swift-5.9.2-RELEASE
2023-12-11 21:15:07 UTC (buildkit.dockerfile.v0)ARG SWIFT_WEBROOT=https://download.swift.org
2023-12-11 21:15:07 UTC (buildkit.dockerfile.v0)ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubi9 SWIFT_BRANCH=swift-5.9.2-release SWIFT_VERSION=swift-5.9.2-RELEASE SWIFT_WEBROOT=https://download.swift.org
2023-12-11 21:15:07 UTC (buildkit.dockerfile.v0)RUN |5 SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubi9 SWIFT_BRANCH=swift-5.9.2-release SWIFT_VERSION=swift-5.9.2-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c set -e; ARCH_NAME="$(rpm --eval '%{_arch}')"; url=; case "${ARCH_NAME##*-}" in 'x86_64') OS_ARCH_SUFFIX=''; ;; 'aarch64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && yum -y install tar gzip && tar -xzf swift.tar.gz --directory / --strip-components=1 $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/lib/swift/linux $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/libexec/swift/linux && chmod -R o+r /usr/lib/swift /usr/libexec/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz # buildkit
2023-12-11 21:15:07 UTC
117 MB
/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
SWIFT_BRANCHswift-5.9.2-release
SWIFT_PLATFORMubi9
SWIFT_SIGNING_KEYA62AE125BBBFBB96A6E042EC925CC1CCED3D1561
SWIFT_VERSIONswift-5.9.2-RELEASE
SWIFT_WEBROOThttps://download.swift.org
containeroci
[#000] sha256:f369a35b8dcd50ca9a1e43a99c63b3a9a6ead5cbe92cb0614d468e4417f834aa - 63.08% (73.7 MB)
[#001] sha256:f20e137d3e55f4df5d4716065cc1bccd201bc1a1332fc5c3fb768f83447c28f7 - 36.92% (43.1 MB)
/bin/sh -c #(nop) LABEL maintainer="Red Hat, Inc." vendor="Red Hat, Inc."
2023-12-11 21:15:07 UTC/bin/sh -c #(nop) LABEL url="https://catalog.redhat.com/en/search?searchType=containers"
2023-12-11 21:15:07 UTC/bin/sh -c #(nop) LABEL com.redhat.component="ubi9-container" name="ubi9" version="9.6" distribution-scope="public"
2023-12-11 21:15:07 UTC/bin/sh -c #(nop) LABEL com.redhat.license_terms="https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI"
2023-12-11 21:15:07 UTC/bin/sh -c #(nop) LABEL summary="Provides the latest release of Red Hat Universal Base Image 9."
2023-12-11 21:15:07 UTC/bin/sh -c #(nop) LABEL description="The Universal Base Image is designed and engineered to be the base layer for all of your containerized applications, middleware and utilities. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."
2023-12-11 21:15:07 UTC/bin/sh -c #(nop) LABEL io.k8s.description="The Universal Base Image is designed and engineered to be the base layer for all of your containerized applications, middleware and utilities. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."
2023-12-11 21:15:07 UTC/bin/sh -c #(nop) LABEL io.k8s.display-name="Red Hat Universal Base Image 9"
2023-12-11 21:15:07 UTC/bin/sh -c #(nop) LABEL io.openshift.expose-services=""
2023-12-11 21:15:07 UTC/bin/sh -c #(nop) LABEL io.openshift.tags="base rhel9"
2023-12-11 21:15:07 UTC/bin/sh -c #(nop) ENV container oci
2023-12-11 21:15:07 UTC/bin/sh -c #(nop) COPY dir:201c1b26478eb260de8e06d484f452528500ce88a37d35f2fe8e5d60789fc1d1 in /
2023-12-11 21:15:07 UTC/bin/sh -c #(nop) COPY file:b37d593713ee21ad52a4cd1424dc019a24f7966f85df0ac4b86d234302695328 in /etc/yum.repos.d/.
2023-12-11 21:15:07 UTC/bin/sh -c #(nop) CMD ["/bin/bash"]
2023-12-11 21:15:07 UTC/bin/sh -c #(nop) COPY file:0667e9d31385a24c3aef13f2dd9ab6a7b71b3dfcfef5127d3c1e2ea2c838e5cb in /usr/share/buildinfo/content-sets.json
2023-12-11 21:15:07 UTC/bin/sh -c #(nop) COPY file:0667e9d31385a24c3aef13f2dd9ab6a7b71b3dfcfef5127d3c1e2ea2c838e5cb in /root/buildinfo/content_manifests/content-sets.json
2023-12-11 21:15:07 UTC/bin/sh -c #(nop) LABEL "build-date"="2025-08-20T08:36:14" "architecture"="aarch64" "vcs-type"="git" "vcs-ref"="171f11b52e43aee013fe4ef4c4caed923f25c5c1" "release"="1755678605"
2023-12-11 21:15:07 UTC (buildkit.dockerfile.v0)LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>
2023-12-11 21:15:07 UTC (buildkit.dockerfile.v0)LABEL description=Docker Container for the Swift programming language
2023-12-11 21:15:07 UTC (buildkit.dockerfile.v0)ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561
2023-12-11 21:15:07 UTC (buildkit.dockerfile.v0)ARG SWIFT_PLATFORM=ubi9
2023-12-11 21:15:07 UTC (buildkit.dockerfile.v0)ARG SWIFT_BRANCH=swift-5.9.2-release
2023-12-11 21:15:07 UTC (buildkit.dockerfile.v0)ARG SWIFT_VERSION=swift-5.9.2-RELEASE
2023-12-11 21:15:07 UTC (buildkit.dockerfile.v0)ARG SWIFT_WEBROOT=https://download.swift.org
2023-12-11 21:15:07 UTC (buildkit.dockerfile.v0)ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubi9 SWIFT_BRANCH=swift-5.9.2-release SWIFT_VERSION=swift-5.9.2-RELEASE SWIFT_WEBROOT=https://download.swift.org
2023-12-11 21:15:07 UTC (buildkit.dockerfile.v0)RUN |5 SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubi9 SWIFT_BRANCH=swift-5.9.2-release SWIFT_VERSION=swift-5.9.2-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c set -e; ARCH_NAME="$(rpm --eval '%{_arch}')"; url=; case "${ARCH_NAME##*-}" in 'x86_64') OS_ARCH_SUFFIX=''; ;; 'aarch64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && yum -y install tar gzip && tar -xzf swift.tar.gz --directory / --strip-components=1 $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/lib/swift/linux $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/libexec/swift/linux && chmod -R o+r /usr/lib/swift /usr/libexec/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz # buildkit
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.